<template>
  <div class="registerSuccess">
    <Header> </Header>
    <div class="container">
      <div class="title"><span class="iconfont">&#xe605;</span>注册成功</div>
      <div class="name" v-if="info">登录名: {{ info.name }}</div>
      <div class="phone" v-if="info">绑定手机: {{ info.phone }}</div>
      <div class="jump">
        {{ time }}s后跳转到登录页，点此<span class="colorBlue" @click="jump"
          >立即跳转 >>
        </span>
      </div>
    </div>
    <Footer></Footer>
  </div>
</template>

<script>
import Header from "@/components/Header";
import Footer from "@/components/Footer";
export default {
  mounted() {
    this.timer = setInterval(() => {
      if (this.time <= 0) {
        this.$router.push("/login");
        clearInterval(this.timer);
        this.time = 3;
        return;
      }
      this.time--;
    }, 1000);
  },
  data() {
    return {
      time: 3,
      timer: null,
      info: this.$route.query.info,
    };
  },
  components: {
    Header,
    Footer,
  },
  methods: {
    jump() {
      this.$router.push("/login");
    },
  },
  beforeRouteLeave(to, from, next) {
    if (this.timer) {
      clearInterval(this.timer);
    }
    next();
  },
};
</script>

<style lang="scss" scoped>
.registerSuccess {
  position: absolute;
  height: 100%;
  width: 100%;
  min-width: 1280px;
  background: url("/images/register/success.png");
  background-size: 100% 100%;
  font-size: 14px;

  .container {
    position: absolute;
    width: 660px;
    height: 450px;
    left: 320px;
    top: 22vh;
    text-align: center;
    background: #ffffff;

    .title {
      margin-top: 90px;
      margin-bottom: 60px;
      font-size: 28px;

      span {
        margin-right: 20px;
        color: rgb(54, 178, 74);
        font-size: 48px;
      }
    }

    .name {
      font-size: 14px;
      margin-bottom: 20px;
    }

    .jump {
      margin-top: 80px;
      display: flex;
      align-items: center;
      justify-content: center;
      cursor: pointer;
    }
  }

  .Footer {
    position: absolute;
    width: 100%;
    bottom: 0;
    background-color: #252525;
    color: #9b9ea0;
  }
}
</style>